﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

using System.IO;

namespace KsiegaGosci_MVC
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "KsiegaGosci", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            // Use LocalDB for Entity Framework by default
            Database.DefaultConnectionFactory = new SqlConnectionFactory(@"Data Source=(localdb)\v11.0; Integrated Security=True; MultipleActiveResultSets=True");

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);
        }

        private const string nazwaPlikuTxt = "C:\\Prywatne\\RejestrZdarzeń.txt";        

        public static bool DopiszDoRejestruZdarzeń(string wpis)
        {
            try
            {
                //if (File.Exists(nazwaPlikuTxt)) File.Copy(nazwaPlikuTxt, nazwaPlikuTxt + ".bak",true);
                using (StreamWriter sw = new StreamWriter(nazwaPlikuTxt, true))
                {
                    sw.WriteLine(DateTime.Now.ToString() + ": " + wpis);
                }
                return true;
            }
            catch
            {
                return false;
            }
        }

    }
}